<?php
namespace nur\b\coll;

use nur\data\types\Metadata;

/**
 * Trait TArrayMdBasic: implémentation par défaut
 */
trait TArrayMdBasic {
  protected function md(): ?Metadata {
    $schema = static::SCHEMA;
    if ($schema === null) return null;
    else return new Metadata($schema);
  }
}
